Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.raster
Class VMemIntRasterImage

    java.lang.Object
      |
      +--com.sun.jimi.core.raster.JimiRasterImageSupport
            |
            +--com.sun.jimi.core.raster.MemoryIntRasterImage
                  |
                  +--com.sun.jimi.core.raster.VMemIntRasterImage

Direct Known Subclasses:
  VMemChanneledIntRasterImage

public class VMemIntRasterImage
extends MemoryIntRasterImage

Virtual-memory based implementation of IntRasterImage.

Field Summary
`protected IntPageMapper` | `pageMapper` Page mapper used for managing image data

Fields inherited from class com.sun.jimi.core.raster.MemoryIntRasterImage
`imageData, pixelBuffer`

Fields inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`abort, colorModel, error, finished, forceRGB, modified, newFrameData, productionAllowed, productionStarted, properties, rowBuf, sourceColorModel, waitForOptions`

Constructor Summary
`VMemIntRasterImage(RandomAccessStorage storage, int width, int height, java.awt.image.ColorModel cm)`

Method Summary
`int[]` | `asIntArray()`
`int` | `getPixel(int x, int y)`
`int` | `getPixelRGB(int x, int y)`
`void` | `getRectangle(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`void` | `getRectangleRGB(int x, int y, int width, int height, int[] buffer, int offset, int scansize)`
`protected void` | `initStorage()`
`protected void` | `sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer, java.awt.Rectangle region)`
`protected void` | `sendToConsumerFully(java.awt.image.ImageConsumer consumer)`
`void` | `storeChannelRectangle(int channel, int x, int y, int width, int height, byte[] pixels, int offset, int scansize)`
`void` | `storePixel(int x, int y, int value)`
`void` | `storeRectangle(int x, int y, int width, int height, int[] pixels, int offset, int scansize)`

Methods inherited from class com.sun.jimi.core.raster.MemoryIntRasterImage
`getAppropriateColorModel, getChannelRectangle, getChannelRow, getRow, getRowRGB, sendPixel, sendRectangle, sendRow, setChannelPixel, setChannelRectangle, setChannelRow, setPixel, setRectangle, setRow, storeRow, toRGB, toRGB`

Methods inherited from class com.sun.jimi.core.raster.JimiRasterImageSupport
`addConsumer, addDirectConsumer, addWaitingConsumer, catchupConsumer, getColorModel, getCroppedImageProducer, getDirectConsumer, getFactory, getHeight, getImageProducer, getOptions, getProperties, getRectangleARGBChannels, getRectangleRGBAChannels, getRectangleRGBChannels, getWidth, hasDirectConsumer, initConsumer, isConsumer, isError, mustWaitForOptions, produceCroppedImage, removeConsumer, requestTopDownLeftRightResend, setColorModel, setDecodingController, setError, setFactory, setFinished, setImageConsumerHints, setModified, setOptions, setWaitForOptions, startProduction, waitFinished, waitInfoAvailable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pageMapper

    protected IntPageMapper pageMapper

  Page mapper used for managing image data

Constructor Detail

### VMemIntRasterImage

    public VMemIntRasterImage(RandomAccessStorage storage,
                              int width,
                              int height,
                              java.awt.image.ColorModel cm)
                       throws JimiException

Method Detail

### initStorage

    protected void initStorage()
                        throws JimiException

  Overrides:
    initStorage in class MemoryIntRasterImage

### getRectangleRGB

    public void getRectangleRGB(int x,
                                int y,
                                int width,
                                int height,
                                int[] buffer,
                                int offset,
                                int scansize)
                         throws ImageAccessException

  Overrides:
    getRectangleRGB in class MemoryIntRasterImage

### getRectangle

    public void getRectangle(int x,
                             int y,
                             int width,
                             int height,
                             int[] buffer,
                             int offset,
                             int scansize)
                      throws ImageAccessException

  Overrides:
    getRectangle in class MemoryIntRasterImage

### getPixel

    public int getPixel(int x,
                        int y)
                 throws ImageAccessException

  Overrides:
    getPixel in class MemoryIntRasterImage

### getPixelRGB

    public int getPixelRGB(int x,
                           int y)
                    throws ImageAccessException

  Overrides:
    getPixelRGB in class MemoryIntRasterImage

### storeRectangle

    public void storeRectangle(int x,
                               int y,
                               int width,
                               int height,
                               int[] pixels,
                               int offset,
                               int scansize)
                        throws ImageAccessException

  Overrides:
    storeRectangle in class MemoryIntRasterImage

### storeChannelRectangle

    public void storeChannelRectangle(int channel,
                                      int x,
                                      int y,
                                      int width,
                                      int height,
                                      byte[] pixels,
                                      int offset,
                                      int scansize)
                               throws ImageAccessException

  Overrides:
    storeChannelRectangle in class MemoryIntRasterImage

### storePixel

    public void storePixel(int x,
                           int y,
                           int value)
                    throws ImageAccessException

  Overrides:
    storePixel in class MemoryIntRasterImage

### sendToConsumerFully

    protected void sendToConsumerFully(java.awt.image.ImageConsumer consumer)
                                throws ImageAccessException

  Overrides:
    sendToConsumerFully in class MemoryIntRasterImage

### sendRegionToConsumerFully

    protected void sendRegionToConsumerFully(java.awt.image.ImageConsumer consumer,
                                             java.awt.Rectangle region)
                                      throws ImageAccessException

  Overrides:
    sendRegionToConsumerFully in class MemoryIntRasterImage

### asIntArray

    public int[] asIntArray()

  Overrides:
    asIntArray in class MemoryIntRasterImage

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD